%define sel_modn  selinux-policy-addon
%define sel_modv  0.2.6


Summary:          A rrdtool-based network graphing solution
Name:             cacti
Version:          0.8.8f
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            Applications/Internet
Source0:          http://www.%{name}.net/downloads/%{name}-%{version}.tar.gz
Source1:          %{name}.logrotate
Source2:          %{name}.conf
Source3:          %{name}.cron
#Patch0:          http://www.%{name}.net/downloads/patches/%{version}/some.patch
Patch10:          %{name}-0.8.8f-config_order.patch
Patch11:          %{name}-0.8.8f-global_snmp.patch
URL:              http://www.%{name}.net/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           The Cacti Group <cacti-users@sourceforge.net>
Requires:         httpd net-snmp-utils rrdtool >= 1.2
Requires:         php >= 4.3.6 php-domxml php-gd php-mysql php-snmp
Requires(pre):    /usr/sbin/groupadd /usr/sbin/useradd
BuildArch:        noarch

%description
Cacti is a complete network graphing solution designed to harness the power
of RRDTool's data storage and graphing functionality. Cacti provides a fast
poller, advanced graph templating, multiple data acquisition methods and user
management features out of the box. All of this is wrapped in an intuitive,
easy to use interface, usable from LAN-sized installations up to complex
networks with hundreds of devices.


%package          selinux
Summary:          SELinux support for %{name}
Group:            System Environment/Base
Requires:         %{name} = %{version}-%{release}
Requires:         %{sel_modn} >= %{sel_modv}
Requires(post):   /sbin/restorecon %{_sbindir}/selinuxenabled /sbin/fixfiles

%description      selinux
This package enables %{name} to work with SELinux.


%prep
%setup -q

# Upstream patches
#%patch0 -p1

# Local patches
%patch10 -p1
%patch11 -p1

# Cleanup
find -type f -name "*.orig" -exec %{__rm} -f {} \;


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{%{name},cron.d,httpd/conf.d,logrotate.d}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}/cli
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/log/%{name}

%{__install} -m 0644 *.php      ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__install} -m 0644 *.pl       ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__cp}      -r      images     ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__cp}      -r      include    ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__cp}      -r      install    ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__cp}      -r      lib        ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__install} -m 0644 cli/*.php  ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}/cli
%{__cp}      -r      resource   ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}
%{__cp}      -r      rra        ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}
%{__cp}      -r      scripts    ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}

%{__chmod}   +x ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}/scripts/*.{pl,sh}

%{__install} -m 0644 log/.ht*   ${RPM_BUILD_ROOT}%{_localstatedir}/log/%{name}

%{__install} -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__install} -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d/%{name}

%{__mv}      -f include/config.php                     ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
%{__ln_s}    -f %{_sysconfdir}/%{name}/config.php      ${RPM_BUILD_ROOT}%{_datadir}/%{name}/include

%{__ln_s}    -f %{_localstatedir}/lib/%{name}/resource ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__ln_s}    -f %{_localstatedir}/lib/%{name}/rra      ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__ln_s}    -f %{_localstatedir}/lib/%{name}/scripts  ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__ln_s}    -f %{_localstatedir}/log/%{name}          ${RPM_BUILD_ROOT}%{_datadir}/%{name}/log

%{__ln_s}    -f %{_datadir}/%{name}/include            ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}
%{__ln_s}    -f %{_datadir}/%{name}/lib                ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}


%pre
if ! getent group  %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
if ! getent passwd %{name} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -g %{name}       \
	-d %{_localstatedir}/lib/%{name} \
	-c "Cacti Service user"          \
	-s /sbin/nologin %{name}
fi
exit 0			# Always pass


%post selinux
if /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
  /sbin/fixfiles   -R %{name} restore
  /sbin/restorecon -R %{_sysconfdir}/%{name}
  /sbin/restorecon -R %{_localstatedir}/lib/%{name}
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE *.sql docs/*
%attr(750,%{name},apache) %dir %{_sysconfdir}/%{name}
%attr(640,%{name},apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/%{name}
%attr(750,%{name},apache) %dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/cli
%{_localstatedir}/lib/%{name}/include
%{_localstatedir}/lib/%{name}/lib
%attr(750,%{name},apache) %dir %{_localstatedir}/lib/%{name}/rra
%{_localstatedir}/lib/%{name}/rra/.htaccess
%config(noreplace) %{_localstatedir}/lib/%{name}/resource
%config(noreplace) %{_localstatedir}/lib/%{name}/scripts
%attr(750,%{name},apache) %dir %{_localstatedir}/log/%{name}
%{_localstatedir}/log/%{name}/.htaccess

%files selinux
%defattr(-,root,root)


%changelog
* Sat Jan 02 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.8f-1
- New version (0.8.8f)

* Thu May 03 2012 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.8a-1
- New version (0.8.8a)

* Fri Apr 06 2012 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.8-1
- New version (0.8.8)

* Tue Dec 27 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.7i-1
- New version (0.8.7i)

* Wed Oct 05 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.7h-1
- New version (0.8.7h)

* Fri Oct 29 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.7g-1
- Initial build
